Skip to content
Permalink
Browse files

feature #382 Use the new AbstractBrowser class from BrowserKit (dunglas)

This PR was merged into the 4.0-dev branch.

Discussion
----------

Use the new AbstractBrowser class from BrowserKit

Required to prevent deprecations.

Commits
-------

203a4c9 Use the new AbstractBrowser class from BrowserKit
  • Loading branch information...
fabpot committed Sep 8, 2019
2 parents 0eb60c5 + 203a4c9 commit 13efa4623bf9675f0e898f330ead91b483f1b8a0
Showing with 3 additions and 3 deletions.
  1. +2 −2 Goutte/Client.php
  2. +1 −1 composer.json
@@ -17,7 +17,7 @@
use GuzzleHttp\Exception\RequestException;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\UriInterface;
use Symfony\Component\BrowserKit\Client as BaseClient;
use Symfony\Component\BrowserKit\AbstractBrowser;
use Symfony\Component\BrowserKit\Request;
use Symfony\Component\BrowserKit\Response;
@@ -29,7 +29,7 @@
* @author Charles Sarrazin <charles@sarraz.in>
* @author Kévin Dunglas <dunglas@gmail.com>
*/
class Client extends BaseClient
class Client extends AbstractBrowser
{
protected $client;
@@ -13,7 +13,7 @@
],
"require": {
"php": "^7.1.3",
"symfony/browser-kit": "~3.4|~4.0",
"symfony/browser-kit": "^4.3",
"symfony/css-selector": "~3.4|~4.0",
"symfony/dom-crawler": "~3.4|~4.0",
"guzzlehttp/guzzle": "^6.0"

0 comments on commit 13efa46

Please sign in to comment.
You can’t perform that action at this time.